GET Leaderboard
https://pd.{shard}.a.pvp.net/mmr/v1/leaderboards/affinity/na/queue/competitive/season/{season id}?startIndex={startIndex}&size={size}&query={query} Get the leaderboard for a given season
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
-
{season id}Season ID
Query Parameters
-
startIndexrequiredThe index of the first entry to return. The client will have this set to 0
-
sizerequiredThe number of entries to retrieve. The client will request 510 entries
-
queryoptionalAn optional username to search for
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type LeaderboardResponse = {
Deployment: string;
/** Queue ID */
QueueID: string;
/** Season ID */
SeasonID: string;
Players: {
/** Card ID */
PlayerCardID: string;
/** Title ID */
TitleID: string;
IsBanned: boolean;
IsAnonymized: boolean;
/** Player UUID */
puuid: string;
gameName: string;
tagLine: string;
leaderboardRank: number;
rankedRating: number;
numberOfWins: number;
competitiveTier: number;
}[];
totalPlayers: number;
immortalStartingPage: number;
immortalStartingIndex: number;
topTierRRThreshold: number;
tierDetails: {
[x: string]: {
rankedRatingThreshold: number;
startingPage: number;
startingIndex: number;
};
};
startIndex: number;
query: string;
}; {
"Deployment": "degenero",
"QueueID": "torrens",
"SeasonID": "E2DDed6D-b84f-D8de-4b5f-5fA4c31E19e7",
"Players": [
{
"PlayerCardID": "0Eb103CE-FC9f-BccB-DC4c-3c182dFC2bCD",
"TitleID": "0BDA74DF-3072-8fAe-e7c9-4ebcAf123aEA",
"IsBanned": true,
"IsAnonymized": true,
"puuid": "69d8A1eb-C1a2-bAcF-CAC0-53a627Cc88Bf",
"gameName": "officiis",
"tagLine": "admoneo",
"leaderboardRank": 5594617033657012,
"rankedRating": 1095400166222047,
"numberOfWins": 6368336318323786,
"competitiveTier": 7310739374128966
},
{
"PlayerCardID": "b9CfF202-4bcF-B859-2CCe-DCD2093C97DA",
"TitleID": "0930DFEc-625F-89C2-2Af0-cF22b1Cf2776",
"IsBanned": true,
"IsAnonymized": true,
"puuid": "EE73F6eb-a411-6A7f-Edce-6DDBa23ceFac",
"gameName": "recusandae",
"tagLine": "claro",
"leaderboardRank": 264875705842769,
"rankedRating": 5862107255391504,
"numberOfWins": 1751265808953515,
"competitiveTier": 4129141374040038
}
],
"totalPlayers": 8238733235102657,
"immortalStartingPage": 4567883211188492,
"immortalStartingIndex": 3352672922217646,
"topTierRRThreshold": 8646804459068657,
"tierDetails": {
"appono": {
"rankedRatingThreshold": 1428933617628784,
"startingPage": 236222937128832,
"startingIndex": 1957690749340563
}
},
"startIndex": 3179644215936592,
"query": "comptus"
}